<?php
/**
 * @package ZT Headline module 
 * @author http://www.ZooTemplate.com
 * @copyright(C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

$user 		= &JFactory::getUser();
$db 		= &JFactory::getDBO();
$menu 		= &JSite::getMenu();
$document	= &JFactory::getDocument();
$moduleclass_sfx = $params->get( 'moduleclass_sfx', 0 );

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

require_once(JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

if(is_dir(JPATH_SITE.DS.'components'.DS.'com_k2'))
{
  require_once(JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'route.php');
  require_once(JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'utilities.php');
}

class modZTHeadLineHelper
{     
	function checkImage($file)
	{ 
		preg_match('/<img(.*?)src="(.*?)"(.*?)>/', $file, $matches);
		if(count($matches))
		{
			return $matches[2];
		} else {return '';}
	}

	function FileExists($file)
	{
		if(file_exists($file))
			return true;
		else
			return false;
	} 
	function getThumb($text)
	{
		global $moduleId;	 
		preg_match('/<img(.*?)src="(.*?)"(.*?)>/', $text, $matches);
		$paths 		= array();
		$thumb_url = '';
		if(isset($matches[2]))
		{ 
			$image_path = $matches[2]; 
			$isInternalLink = modZTHeadLineHelper::isInternalLink($image_path);			
			if(!$isInternalLink)
			{
				$thumb_url .= $image_path;
			}
			else
			{
				$thumb_url .= JURI::root().$image_path;
			} 
			return($thumb_url);
		} else {
			return false;
		}
	} 
	function introContent( $str, $limit = 100,$end_char = '&#8230;' ) {
		if(trim($str) == '') return $str;
		// always strip tags for text
		$str = strip_tags($str);
		preg_match('/\s*(?:\S*\s*){'.(int)$limit.'}/', $str, $matches);		
		if(strlen($matches[0]) == strlen($str))$end_char = '';
		return rtrim($matches[0]).$end_char;
	} 
	/*
	 * Function check image is internal link or external link
	 * @Created by ZooTemplate
	 */
	function isInternalLink($image_path){
		$full_url = JURI::base();
		//remove any protocol/site info from the image path
		$parsed_url = parse_url($full_url);
		$paths[] = $full_url;
		if(isset($parsed_url['path']) && $parsed_url['path'] != "/") $paths[] = $parsed_url['path'];
		foreach($paths as $path) {
			if(strpos($image_path,$path) !== false) {
				$image_path = substr($image_path,strpos($image_path, $path)+strlen($path));
			}
		}			
		// remove any / that begins the path
		if(substr($image_path, 0 , 1) == '/') $image_path = substr($image_path, 1);
		//if after removing the uri, still has protocol then the image
		//is remote and we don't support thumbs for external images
		if(strpos($image_path,'http://') !== false || strpos($image_path,'https://') !== false) { 
			return false;
		} 
		return true;
			
	}
	//End check image  
}

class modZTHeadlineCommonHelper
{
	function __construct()
	{ 
	} 
	function getSlideContent($params)
	{
		global $mainframe;
		$db         =& JFactory::getDBO();
		$user       =& JFactory::getUser();
		$userId     =(int) $user->get('id'); 
		$aid        = $user->get('aid', 0); 
		$layoutStyle = $params->get('layout_style');
		$intro_length = intval($params->get( 'intro_length', 50) ); 
		$article =$params->get('article_id'); 
		$contentConfig = &JComponentHelper::getParams( 'com_content' );
		$access     = !$contentConfig->get('shownoauth');
		$nullDate   = $db->getNullDate(); 
		$date =& JFactory::getDate();
		$now = $date->toMySQL();
		
		if($article){
			$i = 0;
			$lists = array();
			$arrArticle = explode(';',$article); 
			foreach($arrArticle as $arti){
				if($arti!=''){ 
					$article_id = str_replace("content_","", $arti);
					$where      = 'a.state = 1'
					. ' AND a.id='.$article_id
					. ' AND( a.publish_up = '.$db->Quote($nullDate).' OR a.publish_up <= '.$db->Quote($now).' )'
					. ' AND( a.publish_down = '.$db->Quote($nullDate).' OR a.publish_down >= '.$db->Quote($now).' )'
					; 
					$query = 'SELECT a.*,a.id as key1, cc.id as key2, cc.title as cat_title, ' .
					  ' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'.
					  ' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug'.
					  ' FROM #__content AS a' .             
					  ' INNER JOIN #__categories AS cc ON cc.id = a.catid' . 
					  ' WHERE '. $where .'' .
					  ' AND cc.published = 1'; 
					$db->setQuery($query);
					$row = $db->loadObject();  
					$lists[$i]->title = $row->title;
					$lists[$i]->alias = $row->alias;  
					$lists[$i]->link = JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug));
					$lists[$i]->introtext = modZTHeadLineHelper::introContent($row->introtext, $intro_length); 
					if(modZTHeadLineHelper::checkImage($row->introtext)){
						$lists[$i]->thumbs = modZTHeadLineHelper::getThumb($row->introtext); 
					}
				}
			  $i++;
			}
			return $lists;
		}  
	} 
	function renderLinkArticle($params,$id, $catid = 0, $sectionid = 0){
		$menuItemType = $params->get('menuitem_type','default');
		$jvContentHelper = new ZTContentHelperRouter();
		$currentItemId = JRequest::getVar('Itemid');
		$inputedItemId = $params->get('input_itemid',0);
		$link = 'index.php?option=com_content&view=article&id='. $id;		
		if($catid) {
			$link .= '&catid='.$catid;
		}
		switch($menuItemType){
			case 'default':
				if($jvContentHelper->isExistedItemId($id,$itemId,$catid,$sectionid)) {
					$link .= '&Itemid='.$itemId;
				} else if($currentItemId){
					$link .= '&Itemid='.$currentItemId;
				} else if($inputedItemId){
					$link .= '&Itemid='.$inputedItemId;
				} 
				break;
			case 'current_page':
				if($currentItemId){
					$link .= '&Itemid='.$currentItemId;
				} else if($inputedItemId){
					$link .= '&Itemid='.$inputedItemId;
				}
				break;
			case 'input_value':
				if($inputedItemId){
					$link .= '&Itemid='.$inputedItemId;
				}
				break;						
		}
		return $link;
	}
	function renderK2LinkItem($params,$id, $catid = 0){
		$menuItemType = $params->get('menuitem_type','default');
		$jvK2Helper = new ZTK2HelperRouter();
		$currentItemId = JRequest::getVar('Itemid');
		$inputedItemId = $params->get('input_itemid',0);
		$link = 'index.php?option=com_k2&view=item&id='.$id;
		switch($menuItemType){
			case 'default':
				if($jvK2Helper->isExistedItemId($itemId,$id,$catid)) {
					$link .= '&Itemid='.$itemId;
				} else if($currentItemId){
					$link .= '&Itemid='.$currentItemId;
				} else if($inputedItemId){
					$link .= '&Itemid='.$inputedItemId;
				} 
				break;
			case 'current_page':
				if($currentItemId){
					$link .= '&Itemid='.$currentItemId;
				} else if($inputedItemId){
					$link .= '&Itemid='.$inputedItemId;
				}
				break;
			case 'input_value':
				if($inputedItemId){
					$link .= '&Itemid='.$inputedItemId;
				}
				break;						
		}
		return $link;	
	}
	/*
	 * Function get items of k2 component
	 * @Created by ZooTemplate
	 */		 
	function getItemsByK2($params){
		$db	=& JFactory::getDBO();  
		$layoutStyle = $params->get('layout_style');  
		$intro_length = intval($params->get( 'intro_length', 50) );
		$article =$params->get('k2article_id'); 
		$date = & JFactory::getDate();
		$user = & JFactory::getUser();
		$aid = $user->get( 'aid', 0 );
		$now = $date->toMySQL();	 
		if($article){
			$lists = array();
			$arrArticle = explode(';',$article);
			$j=0;
			foreach($arrArticle as $ati){
				if($ati!=''){
					$article_id = str_replace("k2_","", $ati); 
					$query = "SELECT i.*, c.name AS categoryname,c.id AS categoryid, c.alias AS categoryalias, c.params AS categoryparams 
						  FROM #__k2_items as i 
						  LEFT JOIN #__k2_categories c ON c.id = i.catid 
						  WHERE i.published = 1 
						  AND i.access IN(".implode(',', $user->authorisedLevels()).") 
						  AND i.trash = 0 AND c.published = 1 
						  AND c.access IN(".implode(',', $user->authorisedLevels()).")
						  AND c.trash = 0  
						  AND i.id={$article_id}"; 
					$db->setQuery($query);			
					$row = $db->loadObject();
					require_once (JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'models'.DS.'item.php');
					$model = new K2ModelItem;  
					$lists[$j]->id = $row->id;
					$lists[$j]->title = $row->title;
					$lists[$j]->link = urldecode(JRoute::_(K2HelperRoute::getItemRoute($row->id.':'.urlencode($row->alias), $row->catid.':'.urlencode($row->categoryalias))));
					$lists[$j]->created = $row->created;  
					if(modZTHeadLineHelper::checkImage($row->introtext)) {
						$lists[$j]->thumbs = modZTHeadLineHelper::getThumb($row->introtext); 
					} else {
						$imgFile = 'media/k2/items/cache/'.md5("Image".$row->id).'_XL.jpg';
						if(modZTHeadLineHelper::FileExists(JPATH_BASE.DS.$imgFile)) $lists[$j]->thumbs = JURI::root().$imgFile;
					} 
					$lists[$j]->introtext = modZTHeadLineHelper::introContent($row->introtext, $intro_length);
				}
			  $j++;
			} 	
		  return $lists;
		}		
	}  
} 
class ZTContentHelperRouter {
	function ZTContentHelperRouter(){
		
	}
	function isExistedItemId($id,&$itemId, $catid = 0, $sectionid = 0){
		$needles = array(
			'article'  =>(int) $id,
			'category' =>(int) $catid,
			'section'  =>(int) $sectionid,
		);
		$existedItemId = 0;
		if($item = $this->_findItem($needles)) {
			$existedItemId = 1;
			$itemId = $item->id;
		};
		return $existedItemId;
	}
	function _findItem($needles){
		$component =& JComponentHelper::getComponent('com_content');
		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);
		$match = null;
		if(count($needles))
		foreach($needles as $needle => $id){
			if(count($items))
			foreach($items as $item){
				if((@$item->query['view'] == $needle) &&(@$item->query['id'] == $id)) {
					$match = $item;
					break;
				}
			}
			if(isset($match)) {
				break;
			}
		}
		return $match;
	}
}
class ZTK2HelperRouter{
	function ZTK2HelperRouter(){
		
	}
	function isExistedItemId($itemId,$id, $catid = 0){
		$needles = array(
				'item'=>(int)$id,
				'itemlist'=>(int)$catid,
		);
		$existedItemId = 0;
		if($item = $this->_findItem($needles)) {
			$itemId = $item->id;
			$existedItemId = 1;
		}
		return $existedItemId;
	}
	function _findItem($needles)	{ 
		$component = & JComponentHelper::getComponent('com_k2'); 
		$menus = & JApplication::getMenu('site', array());
		$items = $menus->getItems('componentid', $component->id); 
		$match = null; 
		foreach($needles as $needle=>$id)
		{
			if(count($items)){
				foreach($items as $item)
				{
					if($needle=='user'){
						if((@$item->query['task'] == $needle) &&(@$item->query['id'] == $id)) {
							$match = $item;
							break;
						} 
					}
					else if($needle=='tag'){
						if((@$item->query['task'] == $needle) &&(@$item->query['tag'] == $id)) {
							$match = $item;
							break;
						}
					}
					else { 
						if((@$item->query['view'] == $needle) &&(@$item->query['id'] == $id)) {
							$match = $item;
							break;
						} 
						$menuparams = new JParameter( $item->params );
						$catids=$menuparams->get('categories'); 
						if(is_array($catids)){
							foreach($catids as $catid)	{
								if((@$item->query['view'] == $needle) &&(@(int)$catid == $id)){
									$match = $item;
									break;
								}
							}
						} 
					} 
				}
			} 
			if( isset($match)) {
				break;
			}
		} 
		return $match;
	} 
}
?>